Bug 522696 - Certain resolutions no longer available after update
Summary: Certain resolutions no longer available after update
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-11 06:15 UTC by Kieran Clancy
Modified: 2018-04-11 11:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:35:10 UTC
clancy.kieran+redhat: needinfo-


Attachments (Terms of Use)
Xorg log (106.40 KB, text/plain)
2009-09-11 06:15 UTC, Kieran Clancy
no flags Details

Description Kieran Clancy 2009-09-11 06:15:00 UTC
Created attachment 360626 [details]
Xorg log

Description of problem:
I updated my Xorg with one from updates-testing recently to see if it fixed some other issues I was having (if I use KMS I can't see any non-native resolutions at all), but now it is no longer letting me choose some resolutions.

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.6.3-4.fc11.x86_64
xorg-x11-drv-intel-2.7.0-7.fc11.x86_64

How reproducible:
Every time.

Steps to Reproduce:
1. Start problematic Xorg and run xrandr to list available resolutions.
  
Actual results:
$ xrandr
Screen 0: minimum 320 x 200, current 1366 x 768, maximum 1366 x 1366
VGA disconnected (normal left inverted right x axis y axis)
LVDS connected 1366x768+0+0 (normal left inverted right x axis y axis) 344mm x 194mm
   1366x768       60.0*+
   800x600        60.3  
   640x480        59.9  
HDMI-1 disconnected (normal left inverted right x axis y axis)

Expected results:
I expect at least to have 1024x768, and I can't remember exactly what I had before I upgraded (I know I had 1024x768 because that's what I was using for my projector). Windows Vista shows 640x480, 800x600, 1024x768, 1280x600, 1280x720, 1280x768, 1366x768.

Additional info:

Xorg.0.log has a lot of lines like:
(II) intel(0): Not using default mode "1024x768" (hsync out of range)
(II) intel(0): Not using default mode "1024x768" (vrefresh out of range)
(II) intel(0): Not using default mode "1024x768" (vrefresh out of range)
(II) intel(0): Not using default mode "1024x768" (vrefresh out of range)

I will attach the whole Xorg.0.log file.

$ xrandr --verbose
Screen 0: minimum 320 x 200, current 1366 x 768, maximum 1366 x 1366
VGA disconnected (normal left inverted right x axis y axis)
	Identifier: 0x3b
	Timestamp:  74085
	Subpixel:   unknown
	Clones:    
	CRTCs:      0 1
	Transform:  1.000000 0.000000 0.000000
	            0.000000 1.000000 0.000000
	            0.000000 0.000000 1.000000
	           filter: 
LVDS connected 1366x768+0+0 (0x3e) normal (normal left inverted right x axis y axis) 344mm x 194mm
	Identifier: 0x3c
	Timestamp:  74085
	Subpixel:   horizontal rgb
	Clones:    
	CRTC:       1
	CRTCs:      1
	Transform:  1.000000 0.000000 0.000000
	            0.000000 1.000000 0.000000
	            0.000000 0.000000 1.000000
	           filter: 
	EDID_DATA:
		00ffffffffffff0030e4df0100000000
		00120103802213780a4e859e5b559526
		1a505400000001010101010101010101
		0101010101013e1c56a0500016303020
		350058c2100000190000000000000000
		00000000000000000000000000fe004c
		4720446973706c61790a2020000000fc
		004c503135365748322d544c43310056
	PANEL_FITTING:	full_aspect
		supported: center       full_aspect  full        
	BACKLIGHT_CONTROL:	combination
		supported: native       legacy       combination  kernel      
	BACKLIGHT: 0 (0x00000000)	range:  (0,0)
  1366x768 (0x3e)   72.3MHz -HSync -VSync *current +preferred
        h: width  1366 start 1414 end 1446 total 1526 skew    0 clock   47.4KHz
        v: height  768 start  771 end  776 total  790           clock   60.0Hz
  800x600 (0x3f)   40.0MHz +HSync +VSync
        h: width   800 start  840 end  968 total 1056 skew    0 clock   37.9KHz
        v: height  600 start  601 end  605 total  628           clock   60.3Hz
  640x480 (0x40)   25.2MHz -HSync -VSync
        h: width   640 start  656 end  752 total  800 skew    0 clock   31.5KHz
        v: height  480 start  490 end  492 total  525           clock   59.9Hz
HDMI-1 disconnected (normal left inverted right x axis y axis)
	Identifier: 0x3d
	Timestamp:  74085
	Subpixel:   unknown
	Clones:    
	CRTCs:      0 1
	Transform:  1.000000 0.000000 0.000000
	            0.000000 1.000000 0.000000
	            0.000000 0.000000 1.000000
	           filter: 
	BROADCAST_RGB: 0 (0x00000000)	range:  (0,1)

Comment 1 Matěj Cepl 2009-11-05 18:37:50 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 2 Matěj Cepl 2010-02-26 12:15:37 UTC
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]

Comment 3 Bug Zapper 2010-04-28 10:17:09 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2010-06-28 14:35:10 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.